﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/connect/Connect_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace Connect
{
namespace Model
{
  enum class TargetListType
  {
    NOT_SET,
    PROFICIENCIES
  };

namespace TargetListTypeMapper
{
AWS_CONNECT_API TargetListType GetTargetListTypeForName(const Aws::String& name);

AWS_CONNECT_API Aws::String GetNameForTargetListType(TargetListType value);
} // namespace TargetListTypeMapper
} // namespace Model
} // namespace Connect
} // namespace Aws
