﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/datazone/DataZone_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace DataZone
{
namespace Model
{
  enum class ProjectDesignation
  {
    NOT_SET,
    OWNER,
    CONTRIBUTOR
  };

namespace ProjectDesignationMapper
{
AWS_DATAZONE_API ProjectDesignation GetProjectDesignationForName(const Aws::String& name);

AWS_DATAZONE_API Aws::String GetNameForProjectDesignation(ProjectDesignation value);
} // namespace ProjectDesignationMapper
} // namespace Model
} // namespace DataZone
} // namespace Aws
